%define unmangled_name LinkChecker

%define mangled_name python2-LinkChecker
%define version 9.3
%define unmangled_version 9.3
%define unmangled_version 9.3
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: check links in web documents or full websites
Name: %{mangled_name}
Requires: python2-requests >= 2.2.0
BuildRequires: python2-devel
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
Patch0: dont-guess-manpage-extension.diff
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Bastian Kleineidam <bastian.kleineidam@web.de>
Packager: Bastian Kleineidam <bastian.kleineidam@web.de>
Provides: linkchecker
Url: http://wummel.github.io/linkchecker/

%description
check links in web documents or full websites

%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}
patch -p0 --binary < %{_sourcedir}/dont-guess-manpage-extension.diff

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python2 setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
# 'brp-compress' compresses the manpages without distutils knowing.
# The sed scripts append ".gz", ".bz2" or ".xz" suffixes to the affected
# manpage filenames.
# add .gz suffix
sed -i -e 's@man/man\([[:digit:]]\)/\(.\+\.[[:digit:]]\)$@man/man\1/\2.gz@g' INSTALLED_FILES
sed -i -e 's@man/de/man\([[:digit:]]\)/\(.\+\.[[:digit:]]\)$@man/de/man\1/\2.gz@g' INSTALLED_FILES
python -c 'import sys ; l = file(sys.argv[1], "rb").readlines()
for x in l[:]:
  if x.endswith(".pyc\n"): l.append(x[:-2] + "o\n")
file(sys.argv[1], "wb").writelines(l)' INSTALLED_FILES


%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc doc/examples/ cgi-bin/lconline/
